import { BasePlugin, PluginInitContext } from 'lisk-sdk';
import { ReportMisbehaviorPluginConfig } from './types';
import { Endpoint } from './endpoint';
export declare class ReportMisbehaviorPlugin extends BasePlugin<ReportMisbehaviorPluginConfig> {
    configSchema: {
        $id: string;
        type: string;
        properties: {
            clearBlockHeadersInterval: {
                type: string;
                description: string;
            };
            encryptedPassphrase: {
                type: string;
                format: string;
            };
            defaultPassword: {
                type: string;
            };
            fee: {
                type: string;
                description: string;
            };
        };
        required: never[];
        default: {
            clearBlockHeadersInterval: number;
            encryptedPassphrase: string;
            defaultPassword: string;
            fee: number;
        };
    };
    endpoint: Endpoint;
    private _pluginDB;
    private readonly _state;
    private _clearBlockHeadersIntervalId;
    get nodeModulePath(): string;
    init(context: PluginInitContext): Promise<void>;
    load(): Promise<void>;
    unload(): Promise<void>;
    private _subscribeToChannel;
    private _createPoMTransaction;
}
