import { CommandExecuteContext, CommandVerifyContext, VerificationResult } from '../../../../state_machine';
import { BaseInteroperabilityCommand } from '../../base_interoperability_command';
import { StateRecoveryInitParams } from '../../types';
import { MainchainInteroperabilityInternalMethod } from '../../mainchain/internal_method';
export declare class InitializeStateRecoveryCommand extends BaseInteroperabilityCommand<MainchainInteroperabilityInternalMethod> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            chainID: {
                dataType: string;
                fieldNumber: number;
                minLength: number;
                maxLength: number;
            };
            sidechainAccount: {
                dataType: string;
                fieldNumber: number;
            };
            bitmap: {
                dataType: string;
                fieldNumber: number;
            };
            siblingHashes: {
                type: string;
                items: {
                    dataType: string;
                    minLength: number;
                    maxLength: number;
                };
                fieldNumber: number;
            };
        };
    };
    verify(context: CommandVerifyContext<StateRecoveryInitParams>): Promise<VerificationResult>;
    execute(context: CommandExecuteContext<StateRecoveryInitParams>): Promise<void>;
}
